Bug 1729287 - Error running install command for nf_conntrack
Summary: Error running install command for nf_conntrack
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Garver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 18:55 UTC by Gregory Lee Bartholomew
Modified: 2020-09-05 19:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:07:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Gregory Lee Bartholomew 2019-07-11 18:55:13 UTC
Description of problem:

When booting my system, I see the following error messages on my screen:

Jul 11 13:06:26 example.edu systemd-modules-load[264]: Error running install command for nf_conntrack
Jul 11 13:06:26 example.edu systemd-modules-load[264]: Failed to insert module 'nf_conntrack_pptp': Key has expired
Jul 11 13:06:26 example.edu systemd-modules-load[264]: sh: /sbin/sysctl: No such file or directory

Version-Release number of selected component (if applicable):

firewalld-0.6.4-1.fc30.noarch

How reproducible:

Always

Steps to Reproduce:
1. Boot the system with rhgb disabled

Actual results:

Error message displayed

Expected results:

No error should occur

Additional info:

I see a reference to /sbin/sysctl in /etc/modprobe.d/firewalld-sysctls.conf, and this conf file is present in my initramfs, but the /sbin/sysctl binnary is not. I believe the "Key has expired" message is erroneous. The real problem is that /sbin/sysctl is not present in the initramfs:

$ lsinitrd initramfs-5.1.16-300.fc30.x86_64.img | awk '/sysctl/ {print $9}'
etc/modprobe.d/firewalld-sysctls.conf
etc/sysctl.conf
etc/sysctl.d
etc/sysctl.d/50-libreswan.conf
etc/sysctl.d/99-sysctl.conf
etc/sysctl.d/my.conf
usr/lib/sysctl.d
usr/lib/sysctl.d/10-default-yama-scope.conf
usr/lib/sysctl.d/20-pptpd.conf
usr/lib/sysctl.d/50-coredump.conf
usr/lib/sysctl.d/50-default.conf
usr/lib/sysctl.d/50-libkcapi-optmem_max.conf
usr/lib/sysctl.d/60-libvirtd.conf
usr/lib/systemd/systemd-sysctl
usr/lib/systemd/system/sysinit.target.wants/systemd-sysctl.service
usr/lib/systemd/system/systemd-sysctl.service

In fact, I can get rid of the error message with the following:

# sed -i 's/ &&.*//' /etc/modprobe.d/firewalld-sysctls.conf
# dracut -f

I'm sure that isn't the right solution though.

Comment 1 Ben Cotton 2020-04-30 21:34:50 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:07:50 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 giulioo 2020-09-05 19:45:43 UTC
Had the same issue on CentOS 8, googled and found this bug which pointed me into the right direction.

My solution:

1.
Create a file in /etc/dracut.conf.d/filename.conf
with
    # bug 1729287
    install_optional_items="/sbin/sysctl"

2.
dracut -f

3.
lsinitrd | grep sbin/sysctl

4.
reboot

5.
no more confusing error


Note You need to log in before you can comment on or make changes to this bug.